Bug 231508 - [NEW PORT] security/onionscan: Free and open source tool for investigating Onion Services
Summary: [NEW PORT] security/onionscan: Free and open source tool for investigating On...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-09-20 11:09 UTC by Vinícius Zavam
Modified: 2018-09-24 18:55 UTC (History)
1 user (show)

See Also:


Attachments
[NEW PORT] security/onionscan: Free and open source tool for investigating Onion Services (3.94 KB, patch)
2018-09-20 11:09 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2018-09-20 11:09:55 UTC
Created attachment 197270 [details]
[NEW PORT] security/onionscan: Free and open source tool for investigating Onion Services

I missed this package, so I wrote its port;
 here is the patch to add it to the tree.

portlink and testport; OK.
Comment 1 Rene Ladan freebsd_committer 2018-09-21 09:35:17 UTC
The port does not seem to work properly, when scanning DuckDuckGo onion for example:

rene@e17:~ % onionscan -verbose 3g2upl4pq6kufc4m.onion
2018/09/21 12:32:30 Creating Database Bucket crawls...
2018/09/21 12:32:31 Indexing URL in crawls...
2018/09/21 12:32:32 Creating Database Bucket relationships...
2018/09/21 12:32:33 Indexing Identifier in relationships...
2018/09/21 12:32:34 Indexing Onion in relationships...
2018/09/21 12:32:35 Indexing Type in relationships...
2018/09/21 12:32:35 Indexing From in relationships...
2018/09/21 12:32:36 Database Setup Complete
2018/09/21 12:32:36 Starting Scan of 3g2upl4pq6kufc4m.onion
2018/09/21 12:32:36 This might take a few minutes..

rene@e17:~ % 

So onionscan seems to quit prematurely? It does create an onionscandb directory.
Comment 2 Vinícius Zavam freebsd_committer 2018-09-23 09:34:55 UTC
(In reply to Rene Ladan from comment #1)

hi Rene, thanks for taking this PR. appreciated! 

I already had/have Tor running on 127.0.0.1:9050 (default also for OnionScan). I just ran the following commando to check it:

  % onionscan -depth 3 -webport 80 3g2upl4pq6kufc4m.onion

at the end we get the scan output from OnionScan.
Comment 3 commit-hook freebsd_committer 2018-09-24 18:54:51 UTC
A commit references this bug:

Author: rene
Date: Mon Sep 24 18:54:05 UTC 2018
New revision: 480623
URL: https://svnweb.freebsd.org/changeset/ports/480623

Log:
  OnionScan is a free and open source tool for investigating Onion Services
  on the Tor network.

  It has two primary goals:

  	* Help to find and to fix operational privacy/security issues;
  	* Support researchers and investigators to monitor .onion sites.

  WWW: https://onionscan.org/

  PR:		231508
  Submitted by:	egypcio@googlemail.com

Changes:
  head/security/Makefile
  head/security/onionscan/
  head/security/onionscan/Makefile
  head/security/onionscan/distinfo
  head/security/onionscan/pkg-descr
Comment 4 Rene Ladan freebsd_committer 2018-09-24 18:55:45 UTC
Committed, thanks!